# ForwardingCommand (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ForwardingCommand

Package co.aikar.commands

# Class ForwardingCommand

java.lang.Object
co.aikar.commands.BaseCommand
co.aikar.commands.ForwardingCommand

public class ForwardingCommand extends BaseCommand

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(CommandIssuer issuer, co.aikar.commands.CommandRouter.CommandRouteResult result)`
`CommandOperationContext`
`getLastCommandOperationContext()`
Returns a reference to the last used CommandOperationContext.
`List<RegisteredCommand>`
`getRegisteredCommands()`
`Set<String>`
`getRequiredPermissions()`
`boolean`
`hasPermission(CommandIssuer sender)`
`boolean`
`hasPermission(Object issuer)`
`boolean`
`requiresPermission(String permission)`
`List<String>`
`tabComplete(CommandIssuer issuer, RootCommand rootCommand, String[] args, boolean isAsync)`

### Methods inherited from class co.aikar.commands.BaseCommand

`canExecute, doHelp, doHelp, getCommandHelp, getContextFlags, getCurrentCommandIssuer, getCurrentCommandManager, getDefaultRegisteredCommand, getExceptionHandler, getExecCommandLabel, getExecSubcommand, getName, getOrigArgs, getSubCommands, help, help, setContextFlags, setExceptionHandler, showCommandHelp, showSyntax, tabComplete, tabComplete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getRegisteredCommands

public List<RegisteredCommand> getRegisteredCommands()

Overrides:
  `getRegisteredCommands` in class `BaseCommand`

### getLastCommandOperationContext

public CommandOperationContext getLastCommandOperationContext()
Description copied from class: `BaseCommand`
Returns a reference to the last used CommandOperationContext. This method is ThreadLocal, in that it can only be used on a thread that has executed a command

Overrides:
  `getLastCommandOperationContext` in class `BaseCommand`
Returns:

### getRequiredPermissions

public Set<String> getRequiredPermissions()

Overrides:
  `getRequiredPermissions` in class `BaseCommand`

### hasPermission

public boolean hasPermission (Object issuer)

Overrides:
  `hasPermission` in class `BaseCommand`

### requiresPermission

public boolean requiresPermission (String permission)

Overrides:
  `requiresPermission` in class `BaseCommand`

### hasPermission

public boolean hasPermission (CommandIssuer sender)

Overrides:
  `hasPermission` in class `BaseCommand`

### tabComplete

public List<String> tabComplete (CommandIssuer issuer, RootCommand rootCommand, String[] args, boolean isAsync) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### execute

public void execute (CommandIssuer issuer, co.aikar.commands.CommandRouter.CommandRouteResult result)